# Uses of Class
org.apache.lucene.search.suggest.document.CompletionQuery

Packages that use CompletionQuery
Package
Description
org.apache.lucene.search.suggest.document
Support for document suggestion

- ## Uses of CompletionQuery in org.apache.lucene.search.suggest.document

  Subclasses of CompletionQuery in org.apache.lucene.search.suggest.document
  Modifier and Type
  Class
  Description
  `class`
  `ContextQuery`
  A `CompletionQuery` that matches documents specified by a wrapped `CompletionQuery` supporting boosting and/or filtering by specified contexts.
  `class`
  `FuzzyCompletionQuery`
  A `CompletionQuery` that match documents containing terms within an edit distance of the specified prefix.
  `class`
  `PrefixCompletionQuery`
  A `CompletionQuery` which takes an `Analyzer` to analyze the prefix of the query term.
  `class`
  `RegexCompletionQuery`
  A `CompletionQuery` which takes a regular expression as the prefix of the query term.
  Fields in org.apache.lucene.search.suggest.document declared as CompletionQuery
  Modifier and Type
  Field
  Description
  `protected CompletionQuery`
  ContextQuery.`innerQuery`
  Inner completion query
  Methods in org.apache.lucene.search.suggest.document with parameters of type CompletionQuery
  Modifier and Type
  Method
  Description
  `TopSuggestDocs`
  SuggestIndexSearcher.`suggest(CompletionQuery query, int n, boolean skipDuplicates)`
  Returns top `n` completion hits for `query`
  `void`
  SuggestIndexSearcher.`suggest(CompletionQuery query, TopSuggestDocsCollector collector)`
  Lower-level suggest API.
  Constructors in org.apache.lucene.search.suggest.document with parameters of type CompletionQuery
  Modifier
  Constructor
  Description
  ``
  `CompletionWeight(CompletionQuery query, Automaton automaton)`
  Creates a weight for `query` with an `automaton`, using the `reader` for index stats
  ``
  `ContextQuery(CompletionQuery query)`
  Constructs a context completion query that matches documents specified by `query`.